            #GIT_CMT=f8c8547109af9190b2e274845592819d82ba21b5
%define debug_package %{nil}

Name:           terraform-provider-oci
Version:	2.1.15
Release:    1.el7
Summary:	Terraform provider for Oracle Cloud Infrastructure

Group:          Development/Libraries
License:        MPLv2.0
URL:            https://www.terraform.io/downloads.html
Source0: terraform-provider-oci-2.1.15.tar.bz2

BuildRequires:  golang >= 1.8

%description
Oracle customers now have access to an enterprise class, developer friendly orchestration tool 
they can use to manage [Oracle Cloud Infrastructure](https://cloud.oracle.com/en_US/bare-metal) 
resources as well as the [Oracle Compute Cloud]

%prep
%autosetup -p1

%build
export GOPATH=$(go env GOPATH)
mkdir -p $GOPATH/src/github.com/oracle/terraform-provider-oci
cp -R * $GOPATH/src/github.com/oracle/terraform-provider-oci/
cd "$GOPATH/src/github.com/oracle/terraform-provider-oci"
export RPM_VERSION=%{version}
export RPM_RELEASE=%{release}
export PATH=$GOPATH/bin:${PATH}
# make dev
make build

cd "$GOPATH/src/github.com/oracle/terraform-provider-oci/tools/oci-tool"
make

%install
export GOPATH=$(go env GOPATH)
install -d %{buildroot}/%{_bindir}
find $GOPATH/src/github.com/oracle/terraform-provider-oci/ -name "%{name}" -exec install {} %{buildroot}/%{_bindir}/%{name}_v%{version} \;
install $GOPATH/src/github.com/oracle/terraform-provider-oci/tools/oci-tool/oci-tool %{buildroot}/%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%attr(755, root, root) %{_bindir}/%{name}*
%attr(755, root, root) %{_bindir}/oci-tool
%doc  README.md LICENSE.md

%changelog
* Sat Jul 14 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.15-1.el7
- Update to v2.1.15 for Oracle build

* Fri Jul 13 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.14-1.el7
- Update to v2.1.14 for Oracle build

* Tue Jul 03 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.13-1.el7
- Update to v2.1.13 for Oracle build

* Wed Jun 13 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.12-1.el7
- Update to 2.1.12 for Oracle build

* Thu May 24 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.10-1.el7
- Update to v2.1.10 for Oracle build

* Thu May 17 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.9-1.el7
- Update to v2.1.9 for Oracle build

* Thu May 10 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.8-1.el7
- Update to v2.1.8 for Oracle build

* Thu May 03 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.7-1.el7
- Update to v2.1.7 for Oracle build

* Thu Apr 26 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.6-1.el7
- Update to v2.1.6 for Oracle build

* Thu Apr 26 2018 Qing Lin <qing.lin@oracle.com> - 2.1.5-2.el7
- fixed the version issue. (Qing Lin)

* Thu Apr 12 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.5-1.el7
- Update to v2.1.5 for Oracle build

* Mon Apr 09 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.4-1.el7
- Update to v2.1.4 for Oracle build

* Thu Mar 29 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.3-1.el7
- Update to v2.1.3 for Oracle build

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.2-1.el7
- BUILDINFO: commit=a094c2ba70f8b165cc4287a20d061900689c5802
- Update to v2.1.2 for Oracle build

* Wed Mar 14 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.1-1.el7
- BUILDINFO: commit=b9d25d7dd98807d82d7f0cb02e8298ed9148d74f
- Update to v2.1.1 for Oracle build

* Thu Mar 08 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.1.0-1.el7
- BUILDINFO: commit=4e58ee9e84259073485f6150d9cd40a91d1fb626
- Update to v2.1.0 for Oracle build

* Fri Feb 09 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.7-1.el7
- BUILDINFO: commit=9260587d30f481b41b8abd2b8f64173c1e787d84
- Update to 2.0.7 for Oracle build

* Mon Jan 08 2018 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.6-1.el7
- BUILDINFO: commit=fe0d6d99c8ab854ff5a71b31b9374fc6d5a6a1f0
- Update to v2.0.6 for Oracle build

* Thu Dec 14 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.5-1.el7
- BUILDINFO: commit=ced2bfbbf04f7bb202a2b0c02b95e48229a95b3b
- Update to v2.0.5 for Oracle build

* Thu Nov 02 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.4-1.el7
- BUILDINFO: commit=89d70bc1767fa87066b2cc763b4c652f0e8a1627
- Update to v2.0.4 for Oracle build

* Fri Oct 27 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.3-1.el7
- BUILDINFO: commit=3c80794de185f55d8336102b714ecffe0f17efa4
- Update to v2.0.3 for Oracle build

* Mon Oct 16 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.2-1.el7
- BUILDINFO: commit=eb9825861574b817961a4ed2784872225198e4e6
- Update to 2.0.2 for Oracle build

* Wed Sep 27 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.1-1.el7
- BUILDINFO: commit=a7481be9dbfed64532074fefebbbf873a1d791c6
- Update to v2.0.1 build

* Wed Sep 27 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.0-2.el7
- BUILDINFO: commit=fd724fd74d1b7664219500f32e9e2a3407c51a52
- Change package oci_tool to main to fix oci-tool issue [26831343] (Jingdong Lu)

* Tue Sep 19 2017 Jingdong Lu <jingdong.lu@oracle.com> - 2.0.0-1.el7
- BUILDINFO: commit=3f3446e64fad1dc6ae10e4435d2037185f2f8494
- Update to v2.0.0 build
